#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(1, 100, "n");
    inf.readEoln();
    string s = inf.readToken("[0-9]+");
    inf.readEoln();
    inf.readEof();
    ensuref(n == (int)s.size(), "String 's' should have length %i", n);
    return 0;
}